Bug 1321124 - Replication changelog can incorrectly skip over updates
Summary: Replication changelog can incorrectly skip over updates
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base   
(Show other bugs)
Version: 7.3
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: mreynolds
QA Contact: Viktor Ashirov
Petr Bokoc
URL:
Whiteboard:
Keywords: ZStream
Depends On:
Blocks: 1350707
TreeView+ depends on / blocked
 
Reported: 2016-03-24 17:48 UTC by Noriko Hosoi
Modified: 2016-11-03 20:40 UTC (History)
16 users (show)

Fixed In Version: 389-ds-base-1.3.5.10-11.el7
Doc Type: Bug Fix
Doc Text:
Replication changelog no longer incorrectly skips updates A bug in the changelog iterator buffer caused it to point to an incorrect position when reloading the buffer. This caused replication to skip parts of the changelog, and consequently some changes were not replicated. This bug has been fixed, and replication data loss due to an incorrectly reloaded changelog buffer no longer occurs.
Story Points: ---
Clone Of:
: 1350707 (view as bug list)
Environment:
Last Closed: 2016-11-03 20:40:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
msauton: needinfo+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2594 normal SHIPPED_LIVE Moderate: 389-ds-base security, bug fix, and enhancement update 2016-11-03 12:11:08 UTC

Description Noriko Hosoi 2016-03-24 17:48:19 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/48766

In a MMR environment where all the masters are under heavy load the replication changelog cache/buffer mechanism does not always use the correct anchor csn and some updates are not sent to the consumer.  

Typically it's the very first "bulk load" read from the changelog at the start of a replication session that has issues, but it can also happen during subsequent bulk loads during the same session.

Comment 1 Noriko Hosoi 2016-03-31 17:05:22 UTC
Justification: This bug is severe because it could cause data loss on some random replication consumer servers without being noticed.

Comment 35 errata-xmlrpc 2016-11-03 20:40:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2594.html


Note You need to log in before you can comment on or make changes to this bug.